Bug 1564861 - blivet.errors.FSError: mount failed: 32
Summary: blivet.errors.FSError: mount failed: 32
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:24e6989362aa71f9489688d6ce1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 10:27 UTC by Davka
Modified: 2019-05-28 19:52 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:52:16 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.29 MB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: anaconda.log (45.34 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: dbus.log (5.87 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: environ (684 bytes, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: journalctl (636.15 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: lsblk_output (2.14 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: nmcli_dev_list (1.99 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: os_info (529 bytes, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: program.log (101.11 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: storage.log (375.41 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details
File: ifcfg.log (6.74 KB, text/plain)
2018-04-08 10:28 UTC, Davka
no flags Details

Description Davka 2018-04-08 10:27:52 UTC
Description of problem:
Fedora 28 beta 1.3 installation
on USB device (mSATA drive in USB adapter)
when creating root XFS filesystem
(when trying EXT4 the mke2fs format process never ends - waited 2 hours, no problems on other systems)

Version-Release number of selected component:
anaconda-core-28.22.3-1.fc28.x86_64

The following was filed automatically by anaconda:
anaconda 28.22.3 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/tasks/fsmount.py", line 125, in do_task
    raise FSError("mount failed: %s" % rc)
  File "/usr/lib/python3.6/site-packages/blivet/formats/fs.py", line 558, in _setup
    self._mount.do_task(chrooted_mountpoint, options=options)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 606, in setup
    self._setup(**kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 743, in mount_filesystems
    chroot=root_path)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 1985, in mount_filesystems
    read_only=read_only, skip_root=skip_root)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 2140, in turn_on_filesystems
    storage.mount_filesystems()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 361, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
blivet.errors.FSError: mount failed: 32

Additional info:
addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=FEDORA-KDE- rd.live.image nomodeset quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.0-0.rc4.git0.1.fc28.x86_64
other involved packages: python3-libs-3.6.5-1.fc28.x86_64, python3-blivet-3.0.0-0.6.1.b1.fc28.noarch
product:        Fedora
release:        Fedora release 28 (Twenty Eight)
type:           anaconda
version:        28

Comment 1 Davka 2018-04-08 10:28:00 UTC
Created attachment 1418863 [details]
File: anaconda-tb

Comment 2 Davka 2018-04-08 10:28:04 UTC
Created attachment 1418864 [details]
File: anaconda.log

Comment 3 Davka 2018-04-08 10:28:06 UTC
Created attachment 1418865 [details]
File: dbus.log

Comment 4 Davka 2018-04-08 10:28:08 UTC
Created attachment 1418866 [details]
File: environ

Comment 5 Davka 2018-04-08 10:28:14 UTC
Created attachment 1418867 [details]
File: journalctl

Comment 6 Davka 2018-04-08 10:28:17 UTC
Created attachment 1418868 [details]
File: lsblk_output

Comment 7 Davka 2018-04-08 10:28:19 UTC
Created attachment 1418869 [details]
File: nmcli_dev_list

Comment 8 Davka 2018-04-08 10:28:21 UTC
Created attachment 1418870 [details]
File: os_info

Comment 9 Davka 2018-04-08 10:28:25 UTC
Created attachment 1418871 [details]
File: program.log

Comment 10 Davka 2018-04-08 10:28:29 UTC
Created attachment 1418872 [details]
File: storage.log

Comment 11 Davka 2018-04-08 10:28:32 UTC
Created attachment 1418873 [details]
File: ifcfg.log

Comment 12 Davka 2018-04-08 10:30:40 UTC
Oh, it's on UEFI system wiht GPT part table.
Laptop is Dell XPS 15 9560

Comment 13 Vendula Poncova 2018-04-09 10:40:36 UTC
It looks to be an issue in the storage library. Reassigning.

Comment 14 Ben Cotton 2019-05-02 21:56:30 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 19:52:16 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.